Name: libtool
Version: 2.4.6
Release: 3
License: GPLv2
Summary: GNU libtool
Url: https://www.gnu.org/software/libtool

BuildRequires: autoconf
BuildRequires: automake
BuildRequires: help2man

Source0: http://ftpmirror.gnu.org/libtool/libtool-%{version}.tar.gz

Patch0: libtool-2.4.6_configure.patch
Patch1: libtool-2.4.6_libltdl_configure.patch
Patch2: libtool-2.4.6_m4_libtool.m4.patch
Patch3: libtool-2.4.6_m4_ltdl.m4.patch
Patch4: libtool-2.4.6_m4_ltoptions.m4.patch
Patch5: libtool-2.4.6_tests_link-order2.at.patch
Patch6: libtool-2.4.6_tests_link-order.at.patch
Patch7: libtool-2.4.6_tests_static.at.patch
Patch8: libtool-2.4.6_tests_template.at.patch
Patch9: libtool-2.4.6_tests_testsuite.at.patch
Patch10: libtool-2.4.6_tests_versioning.at.patch

%description
GNU libtool is a generic library support script. Libtool hides the complexity of using shared libraries behind a consistent, portable interface. 

%prep
%setup -q

%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1


perl -p -i -e 's|#! /bin/sh|#!/QOpenSys/usr/bin/sh|' libtoolize.in

%build

%configure \
  SHELL=/QOpenSys/usr/bin/sh \
  LDFLAGS="-Wl,-brtl -Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib -L%{_libdir}" \
  --with-aix-soname=svr4 \
  --enable-shared \
  --disable-static \
  --disable-dependency-tracking

%make_build

%install

%make_install

rm %{buildroot}/%{_libdir}/*.la || :

%files
%defattr(-, qsys, *none)

%{_bindir}/libtool
%{_bindir}/libtoolize

%{_libdir}/libltdl.so*

%{_datadir}/libtool
%{_datadir}/aclocal/*.m4

%{_infodir}/libtool.info-*
%{_infodir}/libtool.info

%{_includedir}/ltdl.h
%{_includedir}/libltdl

%{_mandir}/man1/libtool.1
%{_mandir}/man1/libtoolize.1

%changelog
